import { ElementRef, EventEmitter, OnChanges, Renderer2, SimpleChanges, TemplateRef, ViewContainerRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class QMSTableDirective {
    private _el;
    private renderer;
    constructor(_el: ElementRef, renderer: Renderer2);
    ngAfterViewChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSTableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSTableDirective, "[qms-table]", never, {}, {}, never, never, false, never>;
}
export declare class QMSTableChildrenDirective {
    private _el;
    private renderer;
    constructor(_el: ElementRef, renderer: Renderer2);
    ngAfterViewChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSTableChildrenDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSTableChildrenDirective, "[qms-table-children]", never, {}, {}, never, never, false, never>;
}
export declare class QMSRowDetailDirective {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSRowDetailDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSRowDetailDirective, "[qms-row-detail]", never, {}, {}, never, never, false, never>;
}
export declare class QMSCollapseGroupDirective {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCollapseGroupDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSCollapseGroupDirective, "[qms-collapse-group]", never, {}, {}, never, never, false, never>;
}
export declare class CdkDetailRowDirective implements OnChanges {
    vcRef: ViewContainerRef;
    private _el;
    private row;
    private tRef;
    private othertRef;
    private opened;
    private focusClass;
    onRowExpandEvent: EventEmitter<boolean>;
    get expanded(): boolean;
    set qmsCdkDetailRow(value: any);
    set template(value: TemplateRef<any>);
    set otherTemplate(value: TemplateRef<any>);
    constructor(vcRef: ViewContainerRef, _el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onClick(): void;
    onKeydownHandler(event: KeyboardEvent): void;
    onClickItem(event: any): void;
    onKeydown(event: any): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CdkDetailRowDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CdkDetailRowDirective, "[qmsCdkDetailRow]", never, { "qmsCdkDetailRow": { "alias": "qmsCdkDetailRow"; "required": false; }; "template": { "alias": "qmsCdkDetailRowTpl"; "required": false; }; "otherTemplate": { "alias": "qmsCdkotherTemplate"; "required": false; }; }, { "onRowExpandEvent": "onRowExpandEvent"; }, never, never, false, never>;
}
